﻿using Syncfusion.UI.Xaml.Grid.Cells;
using Syncfusion.Windows.Shared;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.UI.Xaml.Grid.Helpers;
using Syncfusion.UI.Xaml.Grid;
using Syncfusion.UI.Xaml.Grid.Helpers;
using Syncfusion.UI.Xaml.ScrollAxis;
using System.Collections;
using System.Data; 

namespace SfDataGridDemo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.dataGrid.CurrentCellBeginEdit += dataGrid_CurrentCellBeginEdit;
            this.dataGrid.CurrentCellActivating += DataGrid_CurrentCellActivating;
        }
        
        private void DataGrid_CurrentCellActivating(object sender, CurrentCellActivatingEventArgs e)
        {
            if (this.dataGrid.IsAddNewIndex(e.CurrentRowColumnIndex.RowIndex))
            {
                var col = e.CurrentRowColumnIndex.ColumnIndex;
                var focus = this.dataGrid.GetDataColumnBase(e.CurrentRowColumnIndex);
                e.Cancel = !focus.GridColumn.AllowFocus;
            }
        }

        void dataGrid_CurrentCellBeginEdit(object sender, CurrentCellBeginEditEventArgs args)
        {
            if (this.dataGrid.IsAddNewIndex(args.RowColumnIndex.RowIndex))
            {
                args.Cancel = !args.Column.AllowEditing;              
            }
        }
    }
}
